Delete Tool
curl --request DELETE \
--url https://api.sigmamind.ai/v1/integrations/{integrationId}/tools/{toolId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/integrations/{integrationId}/tools/{toolId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/integrations/{integrationId}/tools/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/integrations/{integrationId}/tools",
"status": 400,
"timestamp": "2026-05-05T10:06:46.158Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/integrations/{integrationId}/tools",
"status": 401,
"timestamp": "2026-05-05T10:06:46.158Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/integrations/{integrationId}/tools",
"status": 403,
"timestamp": "2026-05-05T10:06:46.158Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/integrations/{integrationId}/tools",
"status": 404,
"timestamp": "2026-05-05T10:06:46.158Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/integrations/{integrationId}/tools",
"status": 500,
"timestamp": "2026-05-05T10:06:46.158Z"
}Integration Tools
Delete Tool
Permanently deletes a tool by toolId — cannot be undone. Any agent using this tool will lose access immediately. Returns 204 No Content on success.
DELETE
/
v1
/
integrations
/
{integrationId}
/
tools
/
{toolId}
Delete Tool
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
Unique identifier of the integration to which the tool belongs.
Unique identifier of the tool to delete.
Response
OK
⌘I